from setuptools import setup, find_packages

setup(
 name="TidyDataCLI",
 version="0.2.8",
 packages=find_packages(),
 install_requires=[
        "pandas==2.2.2",
        "matplotlib==3.9.2",
        "openpyxl==3.1.5",
        "build==1.2.1",
        "certifi==2024.7.4",
        "chardet==5.2.0",
        "charset-normalizer==3.3.2",
        "colorama==0.4.6",
        "contourpy==1.3.0",
        "cycler==0.12.1",
        "docutils==0.21.2",
        "et-xmlfile==1.1.0",
        "fonttools==4.53.1",
        "idna==3.7",
        "importlib_metadata==8.4.0",
        "jaraco.classes==3.4.0",
        "jaraco.context==6.0.1",
        "jaraco.functools==4.0.2",
        "kaleido==0.2.1",
        "keyring==25.3.0",
        "kiwisolver==1.4.5",
        "markdown-it-py==3.0.0",
        "mdurl==0.1.2",
        "more-itertools==10.4.0",
        "nh3==0.2.18",
        "numpy==2.0.1",
        "packaging==24.1",
        "pillow==10.4.0",
        "pkginfo==1.10.0",
        "plotly==5.24.0",
        "Pygments==2.18.0",
        "pyparsing==3.1.4",
        "pyproject_hooks==1.1.0",
        "python-dateutil==2.9.0.post0",
        "pytz==2024.1",
        "pywin32-ctypes==0.2.3",
        "readme_renderer==44.0",
        "reportlab==4.2.2",
        "requests==2.32.3",
        "requests-toolbelt==1.0.0",
        "rfc3986==2.0.0",
        "rich==13.7.1",
        "seaborn==0.13.2",
        "setuptools==73.0.1",
        "six==1.16.0",
        "tenacity==9.0.0",
        "twine==5.1.1",
        "tzdata==2024.1",
        "urllib3==2.2.2",
        "wheel==0.44.0",
        "wordcloud==1.9.3",
        "zipp==3.20.0",
    ],
 entry_points={
     "console_scripts": [
         'tidydata = src.cmd:cli',
     ],
 },
 test_suite='tests',
 author="Philbert Siama",
 author_email='siamaphilbert@outlook.com',
 description="A CLI tool to automate cleaning, transformation and visualisation of Excel/CSV data.",
 long_description=open('README.md').read(),
 long_description_content_type="text/markdown",
 url="https://github.com/Siam3h/TidyDataCLI.git",
 classifiers=[
     "Programming Language :: Python :: 3",
     "License :: OSI Approved :: MIT License",
     "Operating System :: OS Independent",
 ],
 python_requires='>3.9',
)
